<?php

namespace plugins\yifang_backend_account\service\admin;

use plugins\yifang_backend_account\db\admin\D_permission_code;

class S_permission_code
{
    public $d_permission_code;

    public function __construct()
    {
        $this->d_permission_code = new D_permission_code();
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function deleteByPlugins($paramObj=""){
        return $this->d_permission_code->deleteByPlugins($paramObj);
    }

    /**
     * 创建数据
     * @param string $paramObj
     * @return array
     */
    public function store($paramObj=""){
        return $this->d_permission_code->store($paramObj);
    }

    /**
     * 批量创建数据
     * @param string $paramObj
     * @return array
     */
    public function storeBatch($paramObj=""){
        return $this->d_permission_code->storeBatch($paramObj);
    }

    /**
     * 更新数据
     * @param string $paramObj
     * @return array
     */
    public function update($paramObj=""){
        return $this->d_permission_code->update($paramObj);
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function info($paramObj=""){
        return $this->d_permission_code->info($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function delete($paramObj=""){
        return $this->d_permission_code->delete($paramObj);
    }

    /**
     * 获取数据
     * @param string $paramObj
     * @return array
     */
    public function getData($paramObj=""){
        return $this->d_permission_code->getData($paramObj);
    }

    /**
     * 分页列表数据
     * @param string $paramObj
     * @return array
     */
    public function listData($paramObj=""){
        return $this->d_permission_code->listData($paramObj);
    }

    public function __call($name,$arguments)
    {
        return recordLogMsgLevelTwo(app("errorLevel")::E_WARNING,app("errorCode")::UNDEFINED_METHOD,lang("sys.noMethodDefined"),$name,$arguments);
    }
}