<?php

namespace yifang\exception;

use RuntimeException;
use Throwable;

class ClassNotFoundException extends RuntimeException
{
    protected $class;

    public function __construct($message, $class = '', Throwable $previous = null)
    {
        $this->message = $message;
        $this->class   = $class;
        parent::__construct($message, 0, $previous);
    }

    /**
     * 获取类名
     * @access public
     * @return string
     */
    public function getClass()
    {
        return $this->class;
    }
}
