<?php

namespace plugins\yifang_backend_account\provider;

use app\utils\contract\Backend_account;
use app\middleware\CheckAuthBase;

class PluginProvider
{
    /**
     * 注册服务
     */
    public function register(){
        container()->bind([
            Backend_account::class=>'plugins\yifang_backend_account\utils\contract\Agent',
            CheckAuthBase::class=>'plugins\yifang_backend_account\middleware\CheckAuth',
        ]);

        container()->bind([
            "YifangBackendAccount_P_Aes"=>'plugins\yifang_backend_account\utils\encrypt\Aes',
            "YifangBackendAccount_P_HashPbkdf2"=>'plugins\yifang_backend_account\utils\encrypt\Hash_pbkdf2',
            "YifangBackendAccount_P_Rsa"=>'plugins\yifang_backend_account\utils\encrypt\Rsa',
            "YifangBackendAccount_P_RsaAes"=>'plugins\yifang_backend_account\utils\encrypt\Rsa_aes',
            "YifangBackendAccount_P_RsaProduce"=>'plugins\yifang_backend_account\utils\encrypt\Rsa_produce',
            "YifangBackendAccount_P_Rand"=>'plugins\yifang_backend_account\utils\tool\Rand',
            "YifangBackendAccount_P_Helper"=>'plugins\yifang_backend_account\utils\tool\Helper',
        ]);
    }
}